Bug 250282 - Package request/suggestion: kidled
Package request/suggestion: kidled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://shlang.com/kidled/
:
Depends On:
Blocks: 462522
  Show dependency treegraph
 
Reported: 2007-07-31 12:38 EDT by Christian Mandery
Modified: 2013-01-09 23:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 12:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kidled-0.4 RPM (17.77 KB, application/x-redhat-package-manager)
2007-09-04 05:44 EDT, Christian Mandery
no flags Details
Kidled 0.4 source RPM for inclusion in Fedora 7 and following plus possibly RHEL (20.82 KB, application/x-redhat-package-manager)
2007-09-05 11:12 EDT, Christian Mandery
no flags Details

  None (edit)
Description Christian Mandery 2007-07-31 12:38:13 EDT
kidled is a daemon that checks the utmp data in regular intervals and
automatically logs off users that have been idle for a given time interval.
Especially in our environment (terminal server) we need such a daemon because
otherwise users "forget" to logoff and waste our system resources with their
forever running KDE sessions.

As far as a can see, there is no package in the yum default repository that
provides such functionality which is why kidled should be included.

Homepage:
http://shlang.com/kidled/
Comment 1 Helge Deller 2007-08-23 09:21:45 EDT
I would even propose to make this a feature-request for RHEL5 (and later 
RHEL6). Although we currently test our "terminal server" based on Fedora 
(which has much "newer" software than RHEL), the idea is still to use RHEL5/6 
later for it...
Comment 2 Phil Knirsch 2007-08-23 09:32:53 EDT
Reassigning to distribution component.

Read ya, Phil
Comment 3 Russell Doty 2007-08-23 09:39:14 EDT
Should this be moved from Fedora to RHEL, or should we look at implementing it
in Fedora first?
Comment 4 Helge Deller 2007-08-23 09:43:16 EDT
From our point of view, having it in Fedora first is OK for us (since this is 
what we currently use). That way, we could even test it for correctness in 
semi-productive at once.
Comment 5 Bill Nottingham 2007-08-29 13:11:25 EDT
For Fedora, if someone's willing to package it...
Comment 6 Christian Mandery 2007-09-04 05:44:21 EDT
I made a RPM for kidled.

It worked fine in my tests but since it is my first RPM you might want to test
it, too.
Comment 7 Christian Mandery 2007-09-04 05:44:56 EDT
Created attachment 186001 [details]
kidled-0.4 RPM
Comment 8 Christian Mandery 2007-09-04 06:12:38 EDT
Comment on attachment 186001 [details]
kidled-0.4 RPM

Oops, source RPM follows.
Comment 9 Christian Mandery 2007-09-05 11:12:53 EDT
Created attachment 187571 [details]
Kidled 0.4 source RPM for inclusion in Fedora 7 and following plus possibly RHEL
Comment 10 Bug Zapper 2008-05-14 09:46:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Helge Deller 2008-05-14 10:01:01 EDT
re-assigning to Fedora 9
Comment 12 Jason Tibbitts 2008-12-05 11:24:49 EST
This just showed up in the new package review queue; I guess the component was not set properly previous to this.

So:

Is the original submitter of this ticket still around and interested in maintaining this package in Fedora?  Are you already sponsored as a Fedora packager?

Is there an actual package submission here?  Please post links to an src.rpm and a spec.  (It is vastly preferable if you put them on a web server somewhere instead of attaching them, if that is at all possible.)  Please make sure that it builds and functions on a current Fedora release, F10 if possible, or rawhide.
Comment 13 Jason Tibbitts 2009-01-09 12:36:52 EST
There was no response, so I'm just going to close this.

Note You need to log in before you can comment on or make changes to this bug.